Skip to navigation

Get a DNA sequence

Get a DNA sequence

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

dna_sequence_idstringRequired

Query parameters

returningstringOptional

Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.

Note: Fields annotations, translations, and primers cannot be introspected with the returning parameter, and any sub fields will be ignored. E.g.: “annotations.id” will return the same as “annotations”.

Response

OK
aliaseslist of stringsOptional
annotationslist of objectsOptional
apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the DNA Sequence in the API.
archiveRecordobject or nullOptional
authorslist of objectsOptional
basesstringOptional
createdAtdatetimeOptionalRead-only
creatorobjectOptional
customFieldsmap from strings to objectsOptional
dnaAlignmentIdslist of stringsOptional
API IDs of Nucleotide Alignments involving the RNA sequence
entityRegistryIdstring or nullOptional
fieldsmap from strings to objectsOptional
folderIdstring or nullOptional
idstringOptional
isCircularbooleanOptional
lengthintegerOptional
modifiedAtdatetimeOptionalRead-only
namestringOptional
partslist of objectsOptional
primerslist of objectsOptional
registrationOriginobject or nullOptional
registryIdstring or nullOptional
schemaobject or nullOptional
transcriptionslist of objectsOptional
translationslist of objectsOptional
urlstringOptional
The path of the web URL, omitting the tenant domain
webURLstringOptionalRead-only

Errors

400
Bad Request Error